Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » VIATRA » VIATRA1.6.0(Can't install 1.6.0 successfully)
VIATRA1.6.0 [message #1767793] Tue, 11 July 2017 07:41 Go to next message
zhang ph is currently offline zhang phFriend
Messages: 11
Registered: March 2017
Junior Member
Hi,
Today i try to install VIATRA 1.6.0 into my eclipse(4.6 Neon.3), i find three groups cann't be installed:viewer runtime-zest integration, viewer tooling and query visualization. Then, i analyze the reason and find may be I should use eclipse with version of 4.7(Oxygen), becuase some plugins(like gef:5.0.0) needed by VIATRA 1.6.0 can only be provided by Oxygen, am i right? Or could you offer me an alternative way to install VIATRA 1.6.0 into Neon.3?
Hope for your reply, thanks in advance!
Re: VIATRA1.6.0 [message #1767796 is a reply to message #1767793] Tue, 11 July 2017 07:55 Go to previous messageGo to next message
Zoltan Ujhelyi is currently offline Zoltan UjhelyiFriend
Messages: 335
Registered: July 2015
Senior Member
Hi,

VIATRA indeed requires GEF 5.0 for its visualization features (more specifically, Viewers Tooling and the Query Visualization), but these features are entirely optional. In other words, you could do one of the following things to install VIATRA into Neon.3:

* Select only the Query and Transformation SDK to install. This will not work if you require the viewers features, but otherwise everything should be available.
* You could manually install GEF 5.0 from its corresponding update site: http://download.eclipse.org/tools/gef/updates/releases (or even use a version-specific site, like http://download.eclipse.org/tools/gef/updates/releases/5.0.0_gef-master_4403) before, than these features will install correctly.

Hope, this helps,
Zoltán

Re: VIATRA1.6.0 [message #1767801 is a reply to message #1767796] Tue, 11 July 2017 08:49 Go to previous messageGo to next message
zhang ph is currently offline zhang phFriend
Messages: 11
Registered: March 2017
Junior Member
Hi,
Thanks for your immediate reply, i have handled the issue. i still have a question, in your CPS benchmark, you mentioned M2T, have you finished the performance evaluation of M2T, if you have, could you share the results with me? Thanks!
Re: VIATRA1.6.0 [message #1767802 is a reply to message #1767801] Tue, 11 July 2017 09:00 Go to previous message
Zoltan Ujhelyi is currently offline Zoltan UjhelyiFriend
Messages: 335
Registered: July 2015
Senior Member
Hi,

about the M2T performance, we did not execute very detailed measurements, but you can have a look at the discussion at https://github.com/viatra/viatra-cps-benchmark/issues/13

Given that the original question of this thread is already solved and the benchmark itself is not hosted at eclipse.org, I suggest continuing this discussion there.

Best regards,
Zoltán
Previous Topic:@OrderBy using an Integer parameter
Next Topic:java_trace files necessary?
Goto Forum:
  


Current Time: Tue Sep 26 18:23:43 GMT 2017

Powered by FUDForum. Page generated in 0.03738 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software